# module Chef::Mixin::EnforceOwnershipAndPermissions

### Public Instance Methods

access_controls() click to toggle source

    # File lib/chef/mixin/enforce_ownership_and_permissions.rb, line 25
    def access_controls
      @access_controls ||= Chef::FileAccessControl.new(current_resource, new_resource, self)
    end

enforce_ownership_and_permissions() click to toggle source

will set the proper user, group and permissions using a platform specific version of Chef::FileAccessControl

    # File lib/chef/mixin/enforce_ownership_and_permissions.rb, line 32
    def enforce_ownership_and_permissions
      access_controls.set_all
      new_resource.updated_by_last_action(true) if access_controls.modified?
    end